ApiReplicationState (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiReplicationState

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiReplicationState

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiReplicationState
      extends Object

  The state of Hive/HDFS Replication.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiReplicationState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `ApiReplicationState` | `incrementalExportEnabled(Boolean incrementalExportEnabled)`
    `Boolean` | `isIncrementalExportEnabled()` returns if incremental export is enabled for the given Hive service.
    `void` | `setIncrementalExportEnabled(Boolean incrementalExportEnabled)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiReplicationState

          public ApiReplicationState()

  - ### Method Detail

    - #### incrementalExportEnabled

          public ApiReplicationState incrementalExportEnabled(Boolean incrementalExportEnabled)

    - #### isIncrementalExportEnabled

          public Boolean isIncrementalExportEnabled()

      returns if incremental export is enabled for the given Hive service. Not applicable for HDFS service.
      Returns:
        incrementalExportEnabled

    - #### setIncrementalExportEnabled

          public void setIncrementalExportEnabled(Boolean incrementalExportEnabled)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.